> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

#  Connect Link Mailboxes



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /managed-auth/connect-links/mailboxes
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connect-links/mailboxes:
    post:
      tags:
        - managed-auth
      summary: ' Connect Link Mailboxes'
      operationId: _connect_link_mailboxes
      parameters:
        - name: X-Notte-Connect-Token
          in: header
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 256
            description: The connect token from the link URL.
            title: X-Notte-Connect-Token
          description: The connect token from the link URL.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConnectLinkMailbox'
                title: >-
                  Response  Connect Link Mailboxes Managed Auth Connect Links
                  Mailboxes Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples: []
components:
  schemas:
    ConnectLinkMailbox:
      properties:
        id:
          type: string
          title: Id
        email_address:
          type: string
          title: Email Address
        provider:
          type: string
          title: Provider
        healthy:
          type: boolean
          title: Healthy
      type: object
      required:
        - id
        - email_address
        - provider
        - healthy
      title: ConnectLinkMailbox
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````